---
layout: docs
page_title: 'Commands: quota apply'
description: |
  The quota apply command is used to create or update quota specifications.
---

# Command: quota apply

The `quota apply` command is used to create or update quota specifications.

~> Quota commands are new in Nomad 0.7 and are only available with Nomad
Enterprise.

## Usage

```plaintext
nomad quota apply [options] <path>
```

The `quota apply` command requires the path to the specification file. The
specification can be read from stdin by setting the path to "-".

If ACLs are enabled, this command requires a token with the `quota:write`
capability.

## General Options

@include 'general_options.mdx'

## Apply Options

- `-json`: Parse the input as a JSON quota specification.

## Examples

Create a new quota specification:

```shell-session
$ nomad quota apply my-quota.hcl
Successfully applied quota specification "my-quota"!
```
